Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: msfupdate is failing with Syntax error on BT5 r3

Hybrid View

  1. #1
    Just burned their ISO
    Join Date
    Feb 2010
    Posts
    6

    Default msfupdate is failing with Syntax error on BT5 r3

    Hi,

    I am getting syntax error when trying to update metasploit using command msfupdate.


    msf > msfupdate[*] exec: msfupdate

    /opt/metasploit/msf3/msfupdate:79: syntax error, unexpected tLSHFT, expecting $end
    <<<<<<< .mine


    I am using Backtrack 5 R3 and when i tried to run metasploit I get more syntax errors. I have already tried apt-get update and apt-get upgrade


    root@bt:~# msfconsole
    [-] WARNING! The following modules could not be loaded!
    [-] /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb: SyntaxError /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:35: syntax error, unexpected tLSHFT, expecting ')'
    <<<<<<< .mine
    ^
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:36: syntax error, unexpected tASSOC, expecting keyword_end
    'Version' => '$Revision: 16005 $',
    ^
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:36: syntax error, unexpected ',', expecting keyword_end
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:37: syntax error, unexpected tASSOC, expecting keyword_end
    'Platform' => [ 'windows' ],
    ^
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:37: syntax error, unexpected ',', expecting keyword_end
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:39: syntax error, unexpected tASSOC, expecting keyword_end
    'Version' => '$Revision: 16005 $',
    ^
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:39: syntax error, unexpected ',', expecting keyword_end
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:40: syntax error, unexpected tASSOC, expecting keyword_end
    'Platform' => [ 'win' ],
    ^
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:40: syntax error, unexpected ',', expecting keyword_end
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:42: syntax error, unexpected tASSOC, expecting keyword_end
    'SessionTypes' => [ 'meterpreter' ]
    ^
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:43: syntax error, unexpected ')', expecting keyword_end
    ))
    ^
    /opt/metasploit/msf3/modules/post/windows/gather/credentials/outlook.rb:379: syntax error, unexpected $end, expecting keyword_end

    IIIIII dTb.dTb _.---._
    II 4' v 'B .'"".'/|`.""'.
    II 6. .P : .' / | `. :
    II 'T;. .;P' '.' / | `.'
    II 'T; ;P' `. / | .'
    IIIIII 'YvP' `-.__|__.-'

    I love shells --egypt


    =[ metasploit v4.5.0-dev [core:4.5 api:1.0]
    + -- --=[ 985 exploits - 540 auxiliary - 161 post
    + -- --=[ 262 payloads - 28 encoders - 8 nops


    Please help

  2. #2
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: msfupdate is failing with Syntax error on BT5 r3

    This is a metasploit issue not a Backtrack one.
    Have you tried purging metasploit than installing it again?
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  3. #3
    Just burned their ISO
    Join Date
    Feb 2010
    Posts
    6

    Default Re: msfupdate is failing with Syntax error on BT5 r3

    Quote Originally Posted by sickness View Post
    This is a metasploit issue not a Backtrack one.
    Have you tried purging metasploit than installing it again?
    Thanks for replying. I did not try this yet as I was worried if purging and reinstalling will break metrasploit's link with other scripts or application in backtrack.
    But if this is not case then I think I will give it a go.

  4. #4
    Just burned their ISO
    Join Date
    Feb 2010
    Posts
    6

    Default Re: msfupdate is failing with Syntax error on BT5 r3

    Quote Originally Posted by sickness View Post
    This is a metasploit issue not a Backtrack one.
    Have you tried purging metasploit than installing it again?
    I tried command apt-get remove framework3 but it gave me message that framework3 is not installed.. What is correct command to remove and install metasploit in bt5 r3?

  5. #5
    Junior Member
    Join Date
    Jun 2011
    Location
    UK
    Posts
    45

    Default Re: msfupdate is failing with Syntax error on BT5 r3

    hi mannigill1, the folowing commands will do it for ya ;-)

    cd /opt/metaspoilt
    ./uninstall

    then download metasploit from the website www.mettasploit.com and install it as sickness suggested, am sure it will work for you, but just make sure you download the latest vision and just go for the default installation,

    ./metaspoiltyourlatestversion.run

    good luck

  6. #6
    Just burned their ISO
    Join Date
    Aug 2012
    Posts
    2

    Default Re: msfupdate is failing with Syntax error on BT5 r3

    I delete outlook.rb,It's fine

  7. #7
    Good friend of the forums espreto's Avatar
    Join Date
    Mar 2010
    Location
    Brazil
    Posts
    303

    Default Re: msfupdate is failing with Syntax error on BT5 r3

    No need to delete the outlook.rb, simply edit the file (modules/post/windows/gather/credentials/outlook.rb) and delete the lines 35, 38 and 41. Ready, fix a glitch.

    Regards,
    (gdb) disass m(y_br)ain

    ®

  8. #8
    Just burned his ISO
    Join Date
    Mar 2012
    Posts
    2

    Default Re: msfupdate is failing with Syntax error on BT5 r3

    Actually, it is only problem in one line:
    'Version' => '$Revision: 16264 $',
    Change it to be:
    'Version' => ['$Revision: 16264 $'],

    Of course, remove those lines which might injected by msfupdate:
    <<<<<<< .mine
    =======
    >>>>>>> .r16327

    Again, don't need to remove )) or list "end" line.

  9. #9
    Just burned their ISO
    Join Date
    Jan 2013
    Posts
    2

    Default Re: msfupdate is failing with Syntax error on BT5 r3

    hi
    i have a problem if you can answer me
    plz send my email id : arshia_paknejad@yahoo.com


    msf > db_status sqlite3[*] postgresql connected to msf3dev
    msf > db_connect sbh1
    [-] Error while running command db_connect: Failed to connect to the database: could not connect to server: Connection refused
    Is the server running on host "127.0.0.1" and accepting
    TCP/IP connections on port 5432?


    Call stack:
    /opt/metasploit/msf3/lib/msf/ui/console/command_dispatcher/db.rb:1600:in `db_connect_postgresql'
    /opt/metasploit/msf3/lib/msf/ui/console/command_dispatcher/db.rb:1438:in `cmd_db_connect'
    /opt/metasploit/msf3/lib/rex/ui/text/dispatcher_shell.rb:427:in `run_command'
    /opt/metasploit/msf3/lib/rex/ui/text/dispatcher_shell.rb:389:in `block in run_single'
    /opt/metasploit/msf3/lib/rex/ui/text/dispatcher_shell.rb:383:in `each'
    /opt/metasploit/msf3/lib/rex/ui/text/dispatcher_shell.rb:383:in `run_single'
    /opt/metasploit/msf3/lib/rex/ui/text/shell.rb:200:in `run'
    /opt/metasploit/msf3/msfconsole:148:in `<main>'
    msf >

  10. #10
    Just burned their ISO
    Join Date
    Jan 2013
    Posts
    5

    Default Re: msfupdate is failing with Syntax error on BT5 r3

    Solved hire http://www.backtrack-linux.org/forum...ad.php?t=61247
    if it does not work, then try with Synaptic using (Couplet removal)

Page 1 of 2 12 LastLast

Similar Threads

  1. Help with Crunch syntax
    By hongman in forum BackTrack 5 General Topics
    Replies: 15
    Last Post: 04-28-2012, 07:39 AM
  2. Error al actualizar Metasploit con msfupdate
    By hackmaf in forum Soporte en Software
    Replies: 2
    Last Post: 01-17-2011, 03:30 AM
  3. metasploit -msfupdate error - svn : PROFIND request error
    By aisketui in forum OLD BT3beta Software related issues
    Replies: 2
    Last Post: 02-11-2009, 03:23 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •